> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Login For Access Token

> Login a user with username and password and generate an access token



## OpenAPI

````yaml post /v1/user/login
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/user/login:
    post:
      tags:
        - auth
      summary: Login For Access Token
      description: Login a user with username and password and generate an access token
      operationId: login_for_access_token_v1_user_login_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_login_for_access_token_v1_user_login_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Token'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
components:
  schemas:
    Body_login_for_access_token_v1_user_login_post:
      properties:
        grant_type:
          type: string
          pattern: password
          title: Grant Type
        username:
          type: string
          title: Username
        password:
          type: string
          title: Password
        scope:
          type: string
          title: Scope
          default: ''
        client_id:
          type: string
          title: Client Id
        client_secret:
          type: string
          title: Client Secret
      type: object
      required:
        - username
        - password
      title: Body_login_for_access_token_v1_user_login_post
    Token:
      properties:
        access_token:
          type: string
          title: Access Token
        token_type:
          type: string
          title: Token Type
        email:
          type: string
          title: Email
      type: object
      required:
        - access_token
        - token_type
        - email
      title: Token
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````